# HG changeset patch
# Node ID 2086edefe7ec
# Parent  63f39d354a73
diff --git a/libpurple/protocols/meson.build b/libpurple/protocols/meson.build
--- a/libpurple/protocols/meson.build
+++ b/libpurple/protocols/meson.build
@@ -7,4 +7,3 @@
 subdir('jabber')
 subdir('novell')
 subdir('sametime')
-subdir('zephyr')
diff --git a/libpurple/purpleprotocol.h b/libpurple/purpleprotocol.h
--- a/libpurple/purpleprotocol.h
+++ b/libpurple/purpleprotocol.h
@@ -63,7 +63,7 @@
  * @OPT_PROTO_CHAT_TOPIC: Chat rooms have topics.<sbr/>
  *           IRC and XMPP support this.
  * @OPT_PROTO_NO_PASSWORD: Don't require passwords for sign-in.<sbr/>
- *           Zephyr doesn't require passwords, so there's no need for a
+ *           IRC doesn't require passwords, so there's no need for a
  *           password prompt.
  * @OPT_PROTO_MAIL_CHECK: Notify on new mail.<sbr/>
  *           MSN and Yahoo notify you when you have new mail.
diff --git a/meson.build b/meson.build
--- a/meson.build
+++ b/meson.build
@@ -364,7 +364,7 @@
 
 
 DEFAULT_PRPLS = ['bonjour', 'demo', 'facebook', 'gg', 'irc', 'ircv3', 'jabber',
-                 'novell', 'null', 'sametime', 'zephyr']
+                 'novell', 'null', 'sametime']
 ALL_PRPLS = DEFAULT_PRPLS + ['null']
 
 dynamic_list = get_option('dynamic-prpls').split(',')
@@ -381,8 +381,6 @@
 		# Do nothing.
 	elif prpl == 'gg' and not libgadu.found()
 		# Do nothing.
-	elif prpl == 'zephyr' and IS_WIN32
-		# Do nothing.
 	else
 		DYNAMIC_PRPLS += [prpl]
 	endif
@@ -398,7 +396,6 @@
 DYNAMIC_NOVELL = DYNAMIC_PRPLS.contains('novell')
 DYNAMIC_NULL = DYNAMIC_PRPLS.contains('null')
 DYNAMIC_SAMETIME = DYNAMIC_PRPLS.contains('sametime')
-DYNAMIC_ZEPHYR = DYNAMIC_PRPLS.contains('zephyr')
 
 conf.set('HAVE_SYS_UTSNAME_H',
     compiler.has_header('sys/utsname.h'))
@@ -525,49 +522,6 @@
 endforeach
 sasl = dependency('libsasl2', version : '>= 2.0')
 
-#######################################################################
-# Check for external libzephyr
-#######################################################################
-ext_zephyr = dependency('zephyr', required : get_option('zephyr'))
-conf.set('LIBZEPHYR_EXT', ext_zephyr.found())
-
-#######################################################################
-# Check for Kerberos (for Zephyr)
-#######################################################################
-conf.set('ZEPHYR_INT32', 'long')
-#AC_SUBST(KRB4_CFLAGS)
-#AC_SUBST(KRB4_LDFLAGS)
-#AC_SUBST(KRB4_LIBS)
-kerberos = get_option('krb4')
-if kerberos
-	if kerberos != 'yes'
-#		KRB4_CFLAGS='-I${kerberos}/include'
-#		if test -d '$kerberos/include/kerberosIV' ; then
-#			KRB4_CFLAGS='$KRB4_CFLAGS -I${kerberos}/include/kerberosIV'
-#		fi
-#		KRB4_LDFLAGS='-L${kerberos}/lib'
-	elif run_command('test', '-d', '/usr/local/include/kerberosIV').returncode() == 0
-#		KRB4_CFLAGS='-I/usr/local/include/kerberosIV'
-	elif run_command('test', '-d', '/usr/include/kerberosIV').returncode() == 0
-#		KRB4_CFLAGS='-I/usr/include/kerberosIV'
-	endif
-	conf.set('ZEPHYR_USES_KERBEROS', true)
-
-#	AC_CHECK_LIB(krb4, krb_rd_req,
-#			[KRB4_LIBS='-lkrb4 -ldes425 -lkrb5 -lk5crypto -lcom_err'],
-#			[AC_CHECK_LIB(krb, krb_rd_req,
-#				[KRB4_LIBS='-lkrb -ldes'],
-#				[AC_MSG_ERROR([Kerberos 4 libraries not found])],
-#				-ldes)],
-#			-ldes425 -lkrb5 -lk5crypto -lcom_err)
-#	AC_CHECK_FUNCS(krb_set_key krb_rd_req krb_get_lrealm)
-#	AC_CHECK_FUNCS(krb_get_err_text krb_log)
-	krb4 = []
-endif
-if not kerberos
-	krb4 = []
-endif
-
 #AC_MSG_CHECKING(for me pot o' gold)
 #AC_MSG_RESULT(no)
 foreach func : ['timegm']
@@ -660,8 +614,6 @@
 summary({
     'Dynamic protocols': DYNAMIC_PRPLS,
     'Cyrus SASL support (IRC and XMPP)': sasl,
-    'External libzephyr': ext_zephyr,
-    'Use kerberos 4 with zephyr': kerberos,
 }, section: 'Protocol Support', bool_yn: true, list_sep: ', ')
 
 # TODO: Remove `.found()` once https://github.com/mesonbuild/meson/pull/10949
diff --git a/pidgin/data/im.pidgin.Pidgin3.desktop.in.in b/pidgin/data/im.pidgin.Pidgin3.desktop.in.in
--- a/pidgin/data/im.pidgin.Pidgin3.desktop.in.in
+++ b/pidgin/data/im.pidgin.Pidgin3.desktop.in.in
@@ -4,7 +4,7 @@
 X-GNOME-FullName=Pidgin Internet Messenger
 Comment=Chat over IM.  Supports XMPP, IRC, and more
 # TRANSLATORS: Search terms to find this application. Do NOT translate or localize the semicolons! The list MUST also end with a semicolon!
-Keywords=chat;talk;im;message;bonjour;gadu-gadu;irc;groupwise;jabber;sametime;simple;xmpp;zephyr
+Keywords=chat;talk;im;message;bonjour;gadu-gadu;irc;groupwise;jabber;sametime;simple;xmpp
 Exec=pidgin3 %U
 Icon=im.pidgin.Pidgin3
 StartupNotify=true
diff --git a/po/POTFILES.in b/po/POTFILES.in
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -174,53 +174,6 @@
 libpurple/protocols/sametime/im_mime.c
 libpurple/protocols/sametime/sametime.c
 libpurple/protocols/sametime/tests/test_sametime_im_mime.c
-libpurple/protocols/zephyr/ZAsyncLocate.c
-libpurple/protocols/zephyr/ZCkAuth.c
-libpurple/protocols/zephyr/ZCkIfNot.c
-libpurple/protocols/zephyr/ZClosePort.c
-libpurple/protocols/zephyr/ZCmpUID.c
-libpurple/protocols/zephyr/ZCmpUIDP.c
-libpurple/protocols/zephyr/zephyr.c
-libpurple/protocols/zephyr/zephyr_html.c
-libpurple/protocols/zephyr/zephyr_tzc.c
-libpurple/protocols/zephyr/zephyr_zeph02.c
-libpurple/protocols/zephyr/ZFlsLocs.c
-libpurple/protocols/zephyr/ZFlsSubs.c
-libpurple/protocols/zephyr/ZFmtAuth.c
-libpurple/protocols/zephyr/ZFmtList.c
-libpurple/protocols/zephyr/ZFmtNotice.c
-libpurple/protocols/zephyr/ZFmtRaw.c
-libpurple/protocols/zephyr/ZFmtRawLst.c
-libpurple/protocols/zephyr/ZFmtSmRaw.c
-libpurple/protocols/zephyr/ZFreeNot.c
-libpurple/protocols/zephyr/ZGetLocs.c
-libpurple/protocols/zephyr/ZGetSender.c
-libpurple/protocols/zephyr/ZGetSubs.c
-libpurple/protocols/zephyr/ZGetWGPort.c
-libpurple/protocols/zephyr/ZhmStat.c
-libpurple/protocols/zephyr/ZIfNotice.c
-libpurple/protocols/zephyr/ZInit.c
-libpurple/protocols/zephyr/Zinternal.c
-libpurple/protocols/zephyr/ZLocations.c
-libpurple/protocols/zephyr/ZMakeAscii.c
-libpurple/protocols/zephyr/ZMkAuth.c
-libpurple/protocols/zephyr/ZNewLocU.c
-libpurple/protocols/zephyr/ZOpenPort.c
-libpurple/protocols/zephyr/ZParseNot.c
-libpurple/protocols/zephyr/ZPeekNot.c
-libpurple/protocols/zephyr/ZPeekPkt.c
-libpurple/protocols/zephyr/ZPending.c
-libpurple/protocols/zephyr/ZReadAscii.c
-libpurple/protocols/zephyr/ZRecvNot.c
-libpurple/protocols/zephyr/ZRecvPkt.c
-libpurple/protocols/zephyr/ZRetSubs.c
-libpurple/protocols/zephyr/ZSendList.c
-libpurple/protocols/zephyr/ZSendNot.c
-libpurple/protocols/zephyr/ZSendPkt.c
-libpurple/protocols/zephyr/ZSetDest.c
-libpurple/protocols/zephyr/ZSubs.c
-libpurple/protocols/zephyr/ZVariables.c
-libpurple/protocols/zephyr/ZWait4Not.c
 libpurple/proxy.c
 libpurple/purpleaccountmanager.c
 libpurple/purpleaccountoption.c
